Rate Calculator
curl --request POST \
--url https://api.breet.io/v1/trades/pbc/sell/rate-calculator/{assetId} \
--header 'Content-Type: application/json' \
--header 'X-Breet-Env: <api-key>' \
--header 'x-app-id: <api-key>' \
--header 'x-app-secret: <api-key>' \
--data '
{
"amountInUSD": 1,
"currency": "ngn"
}
'import requests
url = "https://api.breet.io/v1/trades/pbc/sell/rate-calculator/{assetId}"
payload = {
"amountInUSD": 1,
"currency": "ngn"
}
headers = {
"x-app-id": "<api-key>",
"x-app-secret": "<api-key>",
"X-Breet-Env": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'x-app-id': '<api-key>',
'x-app-secret': '<api-key>',
'X-Breet-Env': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({amountInUSD: 1, currency: 'ngn'})
};
fetch('https://api.breet.io/v1/trades/pbc/sell/rate-calculator/{assetId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "data fetched",
"success": true,
"data": {
"NGNAmount": 1000,
"GHSAmount": 90.9090909090909,
"rate": 1000,
"cryptoAmount": 0.0068731027254410335
},
"meta": {},
"summary": {},
"stats": {}
}{
"success": false,
"message": "asset not found",
"meta": {},
"errors": [],
"data": {}
}{
"success": false,
"message": "validation errors",
"meta": {},
"errors": [
{
"message": "Invalid value",
"field": "amount",
"location": "body"
}
],
"data": {}
}{
"success": false,
"message": "something went wrong!",
"meta": {},
"errors": [],
"data": {}
}Rates and Prices
Rate Calculator
Calculate crypto amount and get NGN/GHS rate. This endpoint returns Breet’s actual conversion rate for NGN or GHS. Use this endpoint to determine the exact amount you’ll receive when converting crypto to NGN or GHS.
POST
/
trades
/
pbc
/
sell
/
rate-calculator
/
{assetId}
Rate Calculator
Authorizations
Your application ID from the Breet dashboard
Your application secret from the Breet dashboard
Environment selector: development or production
Path Parameters
Returned by the fetch assets endpoint.
Body
application/json
Response
Rate calculation returned successfully
Was this page helpful?
⌘I